#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    deque<int> c;
    vector<int> a(n), b(n);
    int j = 0;

    for(int i = 1; i <= 2 * n; i++) c.push_back(i);

    for(int i = 0; i < n; i++)
    {
        if(j % 2 == 0)
        {
            a[i] = c.front();
            c.pop_front();
        }
        else
        {
            a[i] = c.back();
            c.pop_back();
        }

        j++;
    }

    for(int i = 0; i < n; i++)
    {
        if(j % 2 == 0)
        {
            b[i] = c.front();
            c.pop_front();
        }
        else
        {
            b[i] = c.back();
            c.pop_back();
        }

        j++;
    }

    for(int x : a) cout << x << " "; cout << endl;
    for(int x : b) cout << x << " ";

    return 0;
}